// WsClient1Client.java
// mini Client for accessing bean WsClient1

package org.objectweb.jonas.jtests.beans.wsclient;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

/**
 *
 */
public class WsClient1Client {

    static Context ctx = null; 
    static WsClient1Home home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "WsClient1Home";
	try {
	    home = (WsClient1Home) PortableRemoteObject.narrow(ctx.lookup(bName), WsClient1Home.class);
	    WsClient1 bean = home.create();
            bean.lookupServiceName();
	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
